Bug 265381 - Review Request: python-GnuPGInterface - A Python module to interface with GnuPG
Review Request: python-GnuPGInterface - A Python module to interface with GnuPG
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 265701
  Show dependency treegraph
 
Reported: 2007-08-29 17:02 EDT by Robert Scheck
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-14 18:17:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
nphilipp: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2007-08-29 17:02:33 EDT
Spec URL: http://labs.linuxnetz.de/bugzilla/python-GnuPGInterface.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/python-GnuPGInterface-0.3.2-1.src.rpm
Description: GnuPGInterface is a Python module to interface with GnuPG. It
concentrates on interacting with GnuPG via filehandles, providing access to 
control GnuPG via versatile and extensible means.
Comment 1 Robert Scheck 2007-08-29 17:04:37 EDT
This package is required to update duplicity to 0.4.3, because it's a new
run-time dependency. As Mike is interested in duplicity 0.4.3, he is maybe 
interested in reviewing this requirement, too.
Comment 2 Robert Scheck 2007-09-01 22:04:05 EDT
Ping?
Comment 3 Nils Philippsen 2007-09-03 04:50:41 EDT
Pong (sorry, got distracted).
Comment 4 Nils Philippsen 2007-09-03 05:39:51 EDT
Good:

- rpmlint checks return:
[nothing]
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- no locales
- not relocatable
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Still to check:

- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
Comment 6 Robert Scheck 2007-09-03 10:39:06 EDT
Till, I'll change this when importing the package into CVS as this is a minor 
spec file change. Further things?
Comment 7 Nils Philippsen 2007-09-03 10:45:12 EDT
(In reply to comment #6)
> Till, I'll change this when importing the package into CVS as this is a minor 
> spec file change. Further things?

Sure ;-).

Bad:

- package doesn't compile on devel (x86_64):

Checking for unpackaged file(s): /usr/lib/rpm/check-files
/var/tmp/python-GnuPGInterface-0.3.2-1.fc8-root-mockbuild
error: Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/GnuPGInterface.py
   /usr/lib/python2.5/site-packages/GnuPGInterface.pyc
   /usr/lib/python2.5/site-packages/GnuPGInterface.pyo


RPM build errors:
    File not found by glob:
/var/tmp/python-GnuPGInterface-0.3.2-1.fc8-root-mockbuild/usr/lib64/python2.5/site-packages/GnuPGInterface.py*
    Installed (but unpackaged) file(s) found:
   /usr/lib/python2.5/site-packages/GnuPGInterface.py
   /usr/lib/python2.5/site-packages/GnuPGInterface.pyc
   /usr/lib/python2.5/site-packages/GnuPGInterface.pyo

Error building package from python-GnuPGInterface-0.3.2-1.fc8.src.rpm, See build log
ending
done

--> It seems your python_sitelib macro is screwed, change "... print
get_python_lib(1) ..." to "... print get_python_lib() ..."

Please fix this so I can do the other tests (which kinda require a built
package). Thanks.
Comment 9 Till Maas 2007-09-03 11:47:04 EDT
$ LANG=C wget
http://labs.linuxnetz.de/bugzilla/python-GnuPGInterface-0.3.2-2.src.rpm
--17:46:20-- 
http://labs.linuxnetz.de/bugzilla/python-GnuPGInterface-0.3.2-2.src.rpm
           => `python-GnuPGInterface-0.3.2-2.src.rpm'
Resolving labs.linuxnetz.de... 62.216.180.2, 2001:1a50:6::1
Connecting to labs.linuxnetz.de|62.216.180.2|:80... connected.
HTTP request sent, awaiting response... 500 Internal Server Error
17:46:20 ERROR 500: Internal Server Error.

The spec is still release 1.
Comment 10 Robert Scheck 2007-09-03 11:50:05 EDT
Rawhide ate my baby. Once more these days. I'm already digging into.
Comment 11 Robert Scheck 2007-09-05 17:50:24 EDT
Sorry for the trouble. HTTP should be working again.
Comment 12 Nils Philippsen 2007-09-14 11:24:29 EDT
Good:

- rpmlint checks return:
[nothing]
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv2+) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- no locales
- not relocatable
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok

APPROVED
Comment 13 Robert Scheck 2007-09-14 14:23:48 EDT
Thank you Nils for doing the review.

New Package CVS Request
=======================
Package Name: python-GnuPGInterface
Short Description: A Python module to interface with GnuPG
Owners: robert
Branches: FC-6 F-7 EL-4 EL-5
InitialCC: 
Cvsextras Commits: No
Comment 14 Kevin Fenzi 2007-09-14 17:24:03 EDT
cvs done.
Comment 15 Robert Scheck 2007-09-14 18:17:39 EDT
Package: python-GnuPGInterface-0.3.2-2.fc8 Tag: dist-f8 Status: complete Built 
by: robert
Package: python-GnuPGInterface-0.3.2-2.fc7 Tag: dist-fc7-updates-candidate 
Status: complete Built by: robert
Build Result: 36343 - python-GnuPGInterface on fedora-6-extras
Build Result: 36344 - python-GnuPGInterface on fedora-5-epel
Build Result: 36345 - python-GnuPGInterface on fedora-4-epel

Note You need to log in before you can comment on or make changes to this bug.